org.apache.olingo.odata2.jpa.processor.api.model.mapping

## Class JPAPersistenceUnitMapType

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.api.model.mapping.JPAPersistenceUnitMapType

-     public class JPAPersistenceUnitMapType
      extends Object

  By default Java Persistence Unit name is taken as EDM schema name. This can be overriden using JPAPersistenceUnitMapType.

  Java class for JPAPersistenceUnitMapType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="JPAPersistenceUnitMapType">
       <complexContent>
       <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
       <sequence>
       <element name="EDMSchemaNamespace" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
       <element name="JPAEntityTypes"
       type="{http://www.apache.org/olingo/odata2/jpa/processor/api/model/mapping}JPAEntityTypesMapType"/>
       <element name="JPAEmbeddableTypes"
       type="{http://www.apache.org/olingo/odata2/jpa/processor/api/model/mapping}JPAEmbeddableTypesMapType"/>
       </sequence>
       <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
       </restriction>
       </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `edmSchemaNamespace`
    `protected JPAEmbeddableTypesMapType` | `jpaEmbeddableTypes`
    `protected JPAEntityTypesMapType` | `jpaEntityTypes`
    `protected String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPAPersistenceUnitMapType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEDMSchemaNamespace()` Gets the value of the edmSchemaNamespace property.
    `JPAEmbeddableTypesMapType` | `getJPAEmbeddableTypes()` Gets the value of the jpaEmbeddableTypes property.
    `JPAEntityTypesMapType` | `getJPAEntityTypes()` Gets the value of the jpaEntityTypes property.
    `String` | `getName()` Gets the value of the name property.
    `void` | `setEDMSchemaNamespace(String value)` Sets the value of the edmSchemaNamespace property.
    `void` | `setJPAEmbeddableTypes(JPAEmbeddableTypesMapType value)` Sets the value of the jpaEmbeddableTypes property.
    `void` | `setJPAEntityTypes(JPAEntityTypesMapType value)` Sets the value of the jpaEntityTypes property.
    `void` | `setName(String value)` Sets the value of the name property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### edmSchemaNamespace

          protected String edmSchemaNamespace

    - #### jpaEntityTypes

          protected JPAEntityTypesMapType jpaEntityTypes

    - #### jpaEmbeddableTypes

          protected JPAEmbeddableTypesMapType jpaEmbeddableTypes

    - #### name

          protected String name

  - ### Constructor Detail

    - #### JPAPersistenceUnitMapType

          public JPAPersistenceUnitMapType()

  - ### Method Detail

    - #### getEDMSchemaNamespace

          public String getEDMSchemaNamespace()

      Gets the value of the edmSchemaNamespace property.
      Returns:
        possible object is `String`

    - #### setEDMSchemaNamespace

          public void setEDMSchemaNamespace(String value)

      Sets the value of the edmSchemaNamespace property.
      Parameters:
        `value` - allowed object is `String`

    - #### getJPAEntityTypes

          public JPAEntityTypesMapType getJPAEntityTypes()

      Gets the value of the jpaEntityTypes property.
      Returns:
        possible object is `JPAEntityTypesMapType`

    - #### setJPAEntityTypes

          public void setJPAEntityTypes(JPAEntityTypesMapType value)

      Sets the value of the jpaEntityTypes property.
      Parameters:
        `value` - allowed object is `JPAEntityTypesMapType`

    - #### getJPAEmbeddableTypes

          public JPAEmbeddableTypesMapType getJPAEmbeddableTypes()

      Gets the value of the jpaEmbeddableTypes property.
      Returns:
        possible object is `JPAEmbeddableTypesMapType`

    - #### setJPAEmbeddableTypes

          public void setJPAEmbeddableTypes(JPAEmbeddableTypesMapType value)

      Sets the value of the jpaEmbeddableTypes property.
      Parameters:
        `value` - allowed object is `JPAEmbeddableTypesMapType`

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.